CVE-2002-0577
CVSS2.1
发布时间 :2002-06-18 00:00:00
修订时间 :2009-03-04 00:12:26
NMCOS    

[原文]Vulnerability in passwd for HP-UX 11.00 and 11.11 allows local users to corrupt the password file and cause a denial of service.


[CNNVD]HP-UX密码文件破坏漏洞(CNNVD-200206-036)

        
        HP-UX是一款惠普公司开发和分发的商业UNIX操作系统。
        HP-UX在passwd命令处理上存在问题,可导致本地用户进行文件破坏,产生拒绝服务攻击。
        HP-UX系统中用户可以使用passwd(1)命令破坏密码文件,任意需要认证的用户将被拒绝访问系统。在某些环境下,可能造成拒绝服务攻击。
        当前没有更详细信息。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:hp:hp-ux:11.0.4HP HP-UX 11.0.4
cpe:/o:hp:hp-ux:11.00HP-UX 11.00
cpe:/o:hp:hp-ux:11.11HP-UX 11.11

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:5518HP-UX passwd(1), Local Denial of Service (DoS)
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0577
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0577
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200206-036
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/977779
(UNKNOWN)  CERT-VN  VU#977779
http://www.securityfocus.com/bid/4582
(VENDOR_ADVISORY)  BID  4582
http://www.iss.net/security_center/static/8939.php
(VENDOR_ADVISORY)  XF  hpux-passwd-dos(8939)
http://archives.neohapsis.com/archives/hp/2002-q2/0023.html
(VENDOR_ADVISORY)  HP  HPSBUX0204-191
http://securityreason.com/securityalert/656
(UNKNOWN)  SREASON  656

- 漏洞信息

HP-UX密码文件破坏漏洞
低危 设计错误
2002-06-18 00:00:00 2009-03-04 00:00:00
本地  
        
        HP-UX是一款惠普公司开发和分发的商业UNIX操作系统。
        HP-UX在passwd命令处理上存在问题,可导致本地用户进行文件破坏,产生拒绝服务攻击。
        HP-UX系统中用户可以使用passwd(1)命令破坏密码文件,任意需要认证的用户将被拒绝访问系统。在某些环境下,可能造成拒绝服务攻击。
        当前没有更详细信息。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时没有合适的临时解决方法。
        厂商补丁:
        HP
        --
        HP已经为此发布了一个安全公告(HPSBUX0204-191)以及相应补丁:
        HPSBUX0204-191:Sec. Vulnerability in passwd(1)
        补丁下载:
        HP HP-UX (VVOS) 11.0 4:
        HP Patch PHCO_26904
        
        http://itrc.hp.com

        HP HP-UX 11.0:
        HP Patch PHCO_25527
        
        http://itrc.hp.com

        HP HP-UX 11.11:
        HP Patch PHCO_24839
        
        http://itrc.hp.com

- 漏洞信息

9628
HP-UX passwd Password File Corruption Local DoS
Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-04-23 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

HP-UX Password File Corruption Vulnerability
Design Error 4582
No Yes
2002-04-24 12:00:00 2009-07-11 12:46:00
Published in HP security bulletin HPSBUX0204-191.

- 受影响的程序版本

HP HP-UX (VVOS) 11.0 4
HP HP-UX 11.11
HP HP-UX 11.0

- 漏洞讨论

A vulnerability has been reported in some versions of HP-UX.

A user may be able to corrupt password files using the passwd(1) command. Any user which then attempts to authenticate could be denied access to the host.

Under some circumstances, this may result in a denial of service condition.

No further details are currently available.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

HP has released the following patches which address this issue:


HP HP-UX 11.0

HP HP-UX (VVOS) 11.0 4

HP HP-UX 11.11

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站